Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#28561 - [octave] the dependency on fltk is not optional

Attached to Project: Arch Linux
Opened by Sami B. (spider-mario) - Tuesday, 21 February 2012, 11:54 GMT
Last edited by Andrea Scarpino (BaSh) - Tuesday, 21 February 2012, 16:29 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Octave’s package mentions:

fltk: alternative plotting

as an optional dependency.

It turns out, however, that it is not optional. If fltk is not installed, trying to run Octave prints the following message:

octave: error while loading shared libraries: libfltk_gl.so.1.3: cannot open shared object file: No such file or directory

Installing fltk solves the problem. Thus, either it should be made a mandatory dependency or Octave should be built without support for it.

Additional info:
* package version: 3.6.0


Steps to reproduce:
Install octave and remove fltk if it is installed, then run “octave”.
This task depends upon

Closed by  Andrea Scarpino (BaSh)
Tuesday, 21 February 2012, 16:29 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#28410 
Comment by Sami B. (spider-mario) - Tuesday, 21 February 2012, 12:22 GMT
(Alternatively, fltk could be statically linked.)

Loading...